org.w3c.dom

## Interface UserDataHandler

-     public interface UserDataHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `NODE_ADOPTED`
    `static short` | `NODE_CLONED`
    `static short` | `NODE_DELETED`
    `static short` | `NODE_IMPORTED`
    `static short` | `NODE_RENAMED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(short operation, java.lang.String key, java.lang.Object data, org.w3c.dom.Node src, org.w3c.dom.Node dst)`

- - ### Field Detail

    - #### NODE_CLONED

          static final short NODE_CLONED

      See Also:
        Constant Field Values

    - #### NODE_IMPORTED

          static final short NODE_IMPORTED

      See Also:
        Constant Field Values

    - #### NODE_DELETED

          static final short NODE_DELETED

      See Also:
        Constant Field Values

    - #### NODE_RENAMED

          static final short NODE_RENAMED

      See Also:
        Constant Field Values

    - #### NODE_ADOPTED

          static final short NODE_ADOPTED

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### handle

          void handle(short operation,
                    java.lang.String key,
                    java.lang.Object data,
                    org.w3c.dom.Node src,
                    org.w3c.dom.Node dst)